Create a bank statement Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/bank-statement

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • statement_uuid string(uuid) Required

    Payment period statement UUID

  • date string(date) Required

    Statement date

  • name string

    Optional title to name the bank statement. If null an auto generated name will be created.

  • reference string

    Statement reference given by bank

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • number integer
    • reference string
    • date string
    • name string
    • statement object
      Hide statement attributes Show statement attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • start_date string
      • end_date string
      • locked boolean
      • locked_at string
      • locked_by object
        Hide locked_by attributes Show locked_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • total_expectations object
        Hide total_expectations attributes Show total_expectations attributes object
        • amount string
        • currency string
        • formatted string
      • total_statement_transactions object
        Hide total_statement_transactions attributes Show total_statement_transactions attributes object
        • amount string
        • currency string
        • formatted string
      • total_bank_transactions object
        Hide total_bank_transactions attributes Show total_bank_transactions attributes object
        • amount string
        • currency string
        • formatted string
      • total_expectation_amount_reconciled_to_bank object
        Hide total_expectation_amount_reconciled_to_bank attributes Show total_expectation_amount_reconciled_to_bank attributes object
        • amount string
        • currency string
        • formatted string
      • total_expectation_percentage_reconciled_to_bank object
        Hide total_expectation_percentage_reconciled_to_bank attributes Show total_expectation_percentage_reconciled_to_bank attributes object
        • amount string
        • currency string
        • formatted string
      • expectations_count integer
      • statement_transactions_count integer
      • statement_transactions object
        Hide statement_transactions attributes Show statement_transactions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • client_name

          Client name

        • transaction_reference

          Unique statement transactions reference assigned by the provider

        • policy_number

          Provider reference of the plan the statement transactions belongs to

        • date

          Date of when the provider received the statement transactions

        • gross_amount

          Gross amount

        • net_amount

          Net amount

        • category

          Expected payment category for accurate reporting

        • payment_origin

          Who is expected to pay this statement transactions

        • agency_number

          Agency number

        • product_reference

          Product reference

        • adviser_name

          Adviser name

        • sender_id_sib_number

          Sender id sib number

        • reason

          Reason

        • auto_reconciliation_message

          Reason why this statement transaction could not be auto reconciled against an expectation. Cleared once it is reconciled.

        • scheme_name

          Scheme name

        • scheme_number

          Scheme number

        • customer_number

          Customer number

        • policy_market_value

          Policy market value

        • provider

          Provider this statement transaction belongs to if provided

        • metadata

          Any metadata that was saved during a CSV import for statement transactions

    • bank_transactions_count integer
    • bank_transactions array[object]
      Hide bank_transactions attributes Show bank_transactions attributes object
      • uuid string
      • created_at string
      • updated_at string
      • date string
      • amount object
        Hide amount attributes Show amount attributes object
        • amount string
        • currency string
        • formatted string
      • reference string
      • metadata object
        Hide metadata attribute Show metadata attribute object
        • client_name string
      • filename string
      • bank_statement object
        Hide bank_statement attributes Show bank_statement attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • number

          Bank statement number

        • reference

          Bank statement reference given by bank statement

        • date

          Bank statement date

        • name

          Bank statement name

        • bank_transactions_count

          Total number of bank transactions within bank statement

        • total_amount

          Total amount of all bank transactions within this bank statement

        • reconciled_amount

          Total amount reconciled

        • reconciled_percentage

          Total percentage reconciled

      • statement object
        Hide statement attributes Show statement attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Statement description

        • start_date

          End date of the statement

        • end_date

          Start date of the statement

        • locked

          Denotes whether the statement is locked or not

        • locked_at

          The time that the statement was locked at

        • total_expectations

          Total amount of expectations for the statement period

        • total_statement_transactions

          Total amount of statement transactions received for the statement period

        • total_bank_transactions

          Total amount of bank transactions received for the statement period

        • total_expectation_amount_reconciled_to_bank

          Total amount of expectations that have been reconciled to the bank received for the statement period

        • total_expectation_percentage_reconciled_to_bank

          Total percentage of expectations that have been reconciled to the bank received for the statement period

        • expectations_count

          Total number of expectations for the statement period

        • statement_transactions_count

          Total number of statement transactions received for the statement period

      • account object
        Hide account attributes Show account attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

    • total_amount object
      Hide total_amount attributes Show total_amount attributes object
      • amount string
      • currency string
      • formatted string
    • reconciled_amount object
      Hide reconciled_amount attributes Show reconciled_amount attributes object
      • amount string
      • currency string
      • formatted string
    • reconciled_percentage number
POST /api/v1/bank-statement
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/bank-statement' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"statement_uuid":"461c58ec-e460-425f-af8c-0500f047016d","date":"2026-07-17","name":"Natwest Statement #8434","reference":"BAT#8434"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "statement_uuid": "461c58ec-e460-425f-af8c-0500f047016d",
  "date": "2026-07-17",
  "name": "Natwest Statement #8434",
  "reference": "BAT#8434"
}
Response examples (201)
{
  "uuid": "a5b3f325-a471-4994-be86-08cbfcdc52c2",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "number": 23,
  "reference": "SW#8434",
  "date": "2026-07-17",
  "name": "Aviva",
  "statement": {
    "uuid": "8512509f-4543-4742-8803-92dd5f0561a0",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "01/06/2022 - 30/06/2022",
    "start_date": "2022-06-30",
    "end_date": "2022-06-01",
    "locked": false,
    "locked_at": "2026-07-17T15:25:30+01:00",
    "locked_by": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "total_expectations": {
      "amount": "124585",
      "currency": "GBP",
      "formatted": "£1,245.85"
    },
    "total_statement_transactions": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_bank_transactions": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_expectation_amount_reconciled_to_bank": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_expectation_percentage_reconciled_to_bank": {
      "amount": "8570",
      "currency": "GBP",
      "formatted": "£85.70"
    },
    "expectations_count": 6,
    "statement_transactions_count": 6,
    "statement_transactions": {
      "uuid": "8bdf229d-e491-4b5a-9d5a-51ee647447e5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "client_name": "Gareth Thompson",
      "transaction_reference": "qjb8dQmzja",
      "policy_number": "AVIVA_00001",
      "date": "2026-07-17",
      "gross_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "net_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "category": "initial_fee",
      "payment_origin": "provider",
      "agency_number": "Agency number",
      "product_reference": "Product reference",
      "adviser_name": "Adviser name",
      "sender_id_sib_number": "Sender id sib number",
      "reason": "Reason",
      "auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
      "scheme_name": "Scheme name",
      "scheme_number": "Scheme number",
      "customer_number": "Customer number",
      "policy_market_value": "Policy market value",
      "provider": "Aviva",
      "metadata": {
        "client_name": "Gareth Thompson"
      }
    }
  },
  "bank_transactions_count": 6,
  "bank_transactions": [
    {
      "uuid": "2f42e46d-ff29-4358-84d4-11d269dcf0d0",
      "created_at": "2026-07-17T15:25:30+01:00",
      "updated_at": "2026-07-17T15:25:30+01:00",
      "date": "2022-07-15",
      "amount": {
        "amount": "12399",
        "currency": "GBP",
        "formatted": "£123.99"
      },
      "reference": "VitalityLtd",
      "metadata": {
        "client_name": "Gareth Thompson"
      },
      "filename": "Natwest June 2022 Statement.xlsx",
      "bank_statement": {
        "uuid": "12290f39-bc3d-4c61-b866-654af91b5751",
        "created_at": "2026-07-17T15:25:37+01:00",
        "updated_at": "2026-07-17T15:25:37+01:00",
        "number": 23,
        "reference": "SW#8434",
        "date": "2026-07-17",
        "name": "Aviva",
        "bank_transactions_count": 6,
        "total_amount": null,
        "reconciled_amount": null,
        "reconciled_percentage": 95.68
      },
      "statement": {
        "uuid": "d078e531-a8d5-410f-a6d7-0636f79de8d5",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "01/06/2022 - 30/06/2022",
        "start_date": "2022-06-30",
        "end_date": "2022-06-01",
        "locked": false,
        "locked_at": "2026-07-17T15:25:36+01:00",
        "total_expectations": null,
        "total_statement_transactions": null,
        "total_bank_transactions": null,
        "total_expectation_amount_reconciled_to_bank": null,
        "total_expectation_percentage_reconciled_to_bank": null,
        "expectations_count": 6,
        "statement_transactions_count": 6
      },
      "account": {
        "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "first_contact_date": "2026-07-17T15:25:36+01:00",
        "next_review_date": "2026-07-17T15:25:36+01:00",
        "previous_review_date": "2026-07-17T15:25:36+01:00",
        "anniversary_review_date": "2026-07-17T15:25:36+01:00",
        "terms_of_business_at": "2026-07-17T15:25:36+01:00",
        "client_agreement_at": "2026-07-17T15:25:36+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "ownership_percentage": 100.0,
        "inactive_at": "2026-07-17",
        "last_interaction_at": "2026-07-17 15:25:36",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        }
      },
      "firm": {
        "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
        "created_at": "2026-07-17T15:25:36+01:00",
        "updated_at": "2026-07-17T15:25:36+01:00",
        "name": "Codepotato",
        "slug": "codepotato",
        "address_1": "Suite E, 5 The Briars",
        "address_2": "Waterberry Drive",
        "town_city": "Waterlooville",
        "county": "Hampshire",
        "postcode": "PO7 7YH",
        "country": "United Kingdom",
        "regulatory_text": "Regulatory text",
        "logo": "https://api.plannrcrm.com/images/plannr.jpg",
        "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
        "brand_colours": {
          "sidebar_background": "#0E0E56",
          "sidebar_accent": "#36367E",
          "sidebar_text": "#FFFFFF",
          "sidebar_hover": "#0A0A42",
          "sidebar_active": "#53DBB8",
          "sidebar_title_background": "#36367E",
          "sidebar_title_primary": "#FFC634",
          "sidebar_title_secondary": "#FFFFFF",
          "sidebar_title_secondary_hover": "#FFFFFF",
          "email_background": "#0E0E56",
          "email_logo_background_panel": "#36367E",
          "email_sub_text": "#FFFFFF",
          "email_button_background": "#36367E",
          "email_button_text": "#FFFFFF",
          "portal_sidebar_button_background": "#F6F6F6",
          "portal_sidebar_button_hover": "#FFFFFF",
          "portal_sidebar_button_active": "#FFFFFF",
          "portal_brand_title": "#323B4B",
          "portal_brand_sub_title": "#828994",
          "portal_sidebar_title": "#11151D",
          "portal_sidebar_text": "#323B4B",
          "portal_sidebar_text_hover": "#323B4B",
          "portal_sidebar_text_active": "#323B4B",
          "portal_sidebar_icon": "#828994",
          "portal_sidebar_icon_hover": "#828994",
          "portal_sidebar_icon_active": "#828994",
          "portal_background": "#F6F6F6",
          "portal_sidebar_account_title": "#11151D",
          "portal_sidebar_account_email": "#828994",
          "portal_sidebar_divider": "#E3E5E9",
          "portal_dashboard_bg_one": "#EF4583",
          "portal_dashboard_bg_two": "#FFC634",
          "portal_sidebar_collapse_button": "#828994",
          "portal_sidebar_collapse_button_hover": "#B3B9C4",
          "portal_sidebar_user_select_background": "#F6F6F6",
          "portal_sidebar_user_select_hover": "#F6F6F6",
          "portal_sidebar_user_select_text": "#323B4B",
          "portal_sidebar_user_select_text_hover": "#323B4B",
          "portal_sidebar_user_select_border": "#EEEEEE",
          "portal_sidebar_user_select_border_hover": "#828994"
        },
        "is_subscribed": true,
        "keep_deleted_files_for": 30,
        "tax": 17.5,
        "month_end": 25,
        "statement_frequency": "monthly",
        "billing": {
          "invoice_address_1": "Suite E, 5 The Briars",
          "invoice_address_2": "Waterberry Drive",
          "invoice_town_city": "Waterlooville",
          "invoice_county": "Hampshire",
          "invoice_postcode": "PO7 7YH",
          "invoice_country": "United Kingdom",
          "invoice_email": "gareth@codepotato.co.uk"
        },
        "ip_whitelist": [
          "192.168.0.1",
          "127.0.0.1"
        ],
        "welcome_paragraph_html": "<h1>Welcome.</h1>",
        "email_welcome_paragraph_html": "Welcome to Plannr!",
        "show_fact_find_illustrations": true,
        "cc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "bcc_email_addresses": [
          "jack@example.com",
          "jill@example.com"
        ],
        "reply_to_email_address": "jack@example.com",
        "mobile_app_support_number": "01234 567890",
        "mobile_app_support_email": "support@example.com"
      }
    }
  ],
  "total_amount": {
    "amount": "345895",
    "currency": "GBP",
    "formatted": "£3,458.95"
  },
  "reconciled_amount": {
    "amount": "12849",
    "currency": "GBP",
    "formatted": "£128.49"
  },
  "reconciled_percentage": 95.68
}